Constants
Keywords: uk.ac.ic.doc.automed.Constants,Constants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed
Interface Constants

All Known Implementing Classes:
  SchemaTool

Deprecated. use constants in individual classes instead, such as Construct .CLASS_MINIMUM instead of CONSTRUCT_CLASS_MINIMUM

public interface Constants

Field Summary
`static int` | `CONSTRUCT_CLASS_CONSTRAINT` Deprecated. Class of construct for constraints
`static int` | `CONSTRUCT_CLASS_LINK` Deprecated. Class of construct for linking constructs
`static int` | `CONSTRUCT_CLASS_LINK_NODAL` Deprecated. Class of construct for link-nodal constructs
`static int` | `CONSTRUCT_CLASS_MAXIMUM` Deprecated.
`static int` | `CONSTRUCT_CLASS_MINIMUM` Deprecated.
`static int` | `CONSTRUCT_CLASS_NODAL` Deprecated. Class of construct for nodal constructs
`static int` | `SCHEME_HDM_TYPE_C` Deprecated. HDM type of construct scheme - constraints
`static int` | `SCHEME_HDM_TYPE_MAXIMUM` Deprecated.
`static int` | `SCHEME_HDM_TYPE_MINIMUM` Deprecated.
`static int` | `SCHEME_HDM_TYPE_N1` Deprecated. HDM type of construct scheme - new node at position 1
`static int` | `SCHEME_HDM_TYPE_N2` Deprecated. HDM type of construct scheme - new node at position 2
`static int` | `SCHEME_HDM_TYPE_P1` Deprecated. HDM type of construct scheme - pre-existing node at position 1
`static int` | `SCHEME_HDM_TYPE_P2` Deprecated. HDM type of construct scheme - pre-existing node at position 2
`static int` | `SCHEME_TYPE_ALTERNATION` Deprecated. Scheme type of construct scheme
`static int` | `SCHEME_TYPE_CONSTRUCT` Deprecated. Scheme type of construct scheme
`static int` | `SCHEME_TYPE_MAXIMUM` Deprecated.
`static int` | `SCHEME_TYPE_MINIMUM` Deprecated.
`static int` | `SCHEME_TYPE_NAME` Deprecated. Scheme type of construct scheme
`static int` | `SCHEME_TYPE_SEQUENCE` Deprecated. Scheme type of construct scheme
`static int` | `TRAN_ACTION_ADD` Deprecated. Transformation action "add"
`static int` | `TRAN_ACTION_CONTRACT` Deprecated. Transformation action "contract"
`static int` | `TRAN_ACTION_DELETE` Deprecated. Transformation action "delete"
`static int` | `TRAN_ACTION_EXTEND` Deprecated. Transformation action "extend"
`static int` | `TRAN_ACTION_IDENT` Deprecated. Transformation action "ident"
`static int` | `TRAN_ACTION_MAXIMUM` Deprecated.
`static int` | `TRAN_ACTION_MINIMUM` Deprecated.
`static int` | `TRAN_ACTION_RENAME` Deprecated. Transformation action "rename"

Field Detail

### CONSTRUCT_CLASS_MINIMUM

    public static final int CONSTRUCT_CLASS_MINIMUM

  Deprecated.
  See Also:
    Constant Field Values

### CONSTRUCT_CLASS_NODAL

    public static final int CONSTRUCT_CLASS_NODAL

  Deprecated.
  Class of construct for nodal constructs

  See Also:
    Constant Field Values

### CONSTRUCT_CLASS_LINK_NODAL

    public static final int CONSTRUCT_CLASS_LINK_NODAL

  Deprecated.
  Class of construct for link-nodal constructs

  See Also:
    Constant Field Values

### CONSTRUCT_CLASS_LINK

    public static final int CONSTRUCT_CLASS_LINK

  Deprecated.
  Class of construct for linking constructs

  See Also:
    Constant Field Values

### CONSTRUCT_CLASS_CONSTRAINT

    public static final int CONSTRUCT_CLASS_CONSTRAINT

  Deprecated.
  Class of construct for constraints

  See Also:
    Constant Field Values

### CONSTRUCT_CLASS_MAXIMUM

    public static final int CONSTRUCT_CLASS_MAXIMUM

  Deprecated.
  See Also:
    Constant Field Values

### SCHEME_TYPE_MINIMUM

    public static final int SCHEME_TYPE_MINIMUM

  Deprecated.
  See Also:
    Constant Field Values

### SCHEME_TYPE_NAME

    public static final int SCHEME_TYPE_NAME

  Deprecated.
  Scheme type of construct scheme

  See Also:
    Constant Field Values

### SCHEME_TYPE_CONSTRUCT

    public static final int SCHEME_TYPE_CONSTRUCT

  Deprecated.
  Scheme type of construct scheme

  See Also:
    Constant Field Values

### SCHEME_TYPE_ALTERNATION

    public static final int SCHEME_TYPE_ALTERNATION

  Deprecated.
  Scheme type of construct scheme

  See Also:
    Constant Field Values

### SCHEME_TYPE_SEQUENCE

    public static final int SCHEME_TYPE_SEQUENCE

  Deprecated.
  Scheme type of construct scheme

  See Also:
    Constant Field Values

### SCHEME_TYPE_MAXIMUM

    public static final int SCHEME_TYPE_MAXIMUM

  Deprecated.
  See Also:
    Constant Field Values

### SCHEME_HDM_TYPE_MINIMUM

    public static final int SCHEME_HDM_TYPE_MINIMUM

  Deprecated.
  See Also:
    Constant Field Values

### SCHEME_HDM_TYPE_N1

    public static final int SCHEME_HDM_TYPE_N1

  Deprecated.
  HDM type of construct scheme - new node at position 1

  See Also:
    Constant Field Values

### SCHEME_HDM_TYPE_N2

    public static final int SCHEME_HDM_TYPE_N2

  Deprecated.
  HDM type of construct scheme - new node at position 2

  See Also:
    Constant Field Values

### SCHEME_HDM_TYPE_P1

    public static final int SCHEME_HDM_TYPE_P1

  Deprecated.
  HDM type of construct scheme - pre-existing node at position 1

  See Also:
    Constant Field Values

### SCHEME_HDM_TYPE_P2

    public static final int SCHEME_HDM_TYPE_P2

  Deprecated.
  HDM type of construct scheme - pre-existing node at position 2

  See Also:
    Constant Field Values

### SCHEME_HDM_TYPE_C

    public static final int SCHEME_HDM_TYPE_C

  Deprecated.
  HDM type of construct scheme - constraints

  See Also:
    Constant Field Values

### SCHEME_HDM_TYPE_MAXIMUM

    public static final int SCHEME_HDM_TYPE_MAXIMUM

  Deprecated.
  See Also:
    Constant Field Values

### TRAN_ACTION_MINIMUM

    public static final int TRAN_ACTION_MINIMUM

  Deprecated.
  See Also:
    Constant Field Values

### TRAN_ACTION_ADD

    public static final int TRAN_ACTION_ADD

  Deprecated.
  Transformation action "add"

  See Also:
    Constant Field Values

### TRAN_ACTION_DELETE

    public static final int TRAN_ACTION_DELETE

  Deprecated.
  Transformation action "delete"

  See Also:
    Constant Field Values

### TRAN_ACTION_RENAME

    public static final int TRAN_ACTION_RENAME

  Deprecated.
  Transformation action "rename"

  See Also:
    Constant Field Values

### TRAN_ACTION_EXTEND

    public static final int TRAN_ACTION_EXTEND

  Deprecated.
  Transformation action "extend"

  See Also:
    Constant Field Values

### TRAN_ACTION_CONTRACT

    public static final int TRAN_ACTION_CONTRACT

  Deprecated.
  Transformation action "contract"

  See Also:
    Constant Field Values

### TRAN_ACTION_IDENT

    public static final int TRAN_ACTION_IDENT

  Deprecated.
  Transformation action "ident"

  See Also:
    Constant Field Values

### TRAN_ACTION_MAXIMUM

    public static final int TRAN_ACTION_MAXIMUM

  Deprecated.
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD